S4B Video to Flash

Soft4Boost Help

S4B Video to Flash

www.sorentioapps.com

© Sorentio Systems, Ltd. All rights reserved


Contact Us

If you have any comments, suggestions or questions regarding S4B Video to Flash or if you have a new feature that you feel can be added to improve our product, please feel free to contact us.

When you register your product, you may be entitled to technical support.

General information: | info@soft4boost.com
Technical support: | support@soft4boost.com
Sales: | sales@soft4boost.com

Technical Support

S4B Video to Flash do not require any professional knowledge. If you experience any problem or have a question, please refer to the S4B Video to Flash Help. If you cannot find the solution, please contact our support staff.

Note: only registered users receive technical support

S4B DVD Video to Flash provides several forms of automated customer support

Soft4Boost Support System You can use the Support Form on our site to ask your questions.

E-mail Support

You can also submit your technical questions and problems via e-mail to

support@soft4boost.com

Note: for more effective and quick resolving of the difficulties we will need the following information: Name and e-mail address used for registration System parameters (CPU, hard drive space available, etc.) Operating System Detailed step by step describing of your action


Resources

Documentation for S4B Video to Flash is available in a variety of formats:

In-product (.chm-file) and Online Help:

You will be able to use help file (.chm) through the Help menu of the installed S4B Video to Flash.

Online Help include all the content from the In-product help file and updates and links to additional instructional content available on the web. You can find the Support at our web-site -http://sorentioapps.com. Please note, that the most complete and up-to-date version of S4B Video to Flash help is always on the web.

PDF Documentation

The offline help is also available as a pdf-file that is optimized for printing. PDF help file is available for download at the program page at Soft4Boost web-site. To be able to read and print S4B Video to Flash PDF help file you will need to have a PDF reading program installed.

User Guides

You have access to a wide variety of resources that help you make S4B Video to Flash. The stepby-step user guides will be of help not only to the novice users but also to the users that face a certain task to be performed and look for a way to do it. Please, visit our Support section of Soft4Boost web-site at to read the detailed instructions for various software and tasks.

Technical Support

Visit the Support at our web-site http://sorentioapps.com to ask your questions concerning S4B Video to Flash installation, registration and use. Feel free to also use our e-mail address

support@soft4boost.com

Downloads

Visit the Downloads section of our web-site to find free updates, tryouts, and other useful software. We constantly update the software, new versions of the most popular programs and new software are also frequently released.


Overview

Soft4Boost Video to Flash is a compact and fully-functional application that will let you convert your favorite video into flash video format and place it onto your home page in just several mouse clicks.

Soft4Boost Video to Flash also lets you change the output file parameters, add player to your SWF video and add an image as a watermark.

To start Video to Flash go to Start menu and choose All Programs -> Soft4Boost -> Video to Flash–> Video to Flash.


Converting Video to Flash

The main Soft4Boost Video to Flash program window is intuitive and easy to use. It lets the user start video to flash conversion right after the program is launched and the source file is loaded. The main program window looks like this:

After you launch the program you will need to select the source video - a video file that you would like to convert into the flash video format. To do that use the Browse... button next to the Source File Name field. When you click it the following window will be opened to let you select the source video file.

Find the file you need on your computer hard disk drive and click the Open button. You can open the files of all the most popular video formats. After the source file is loaded, you can select the output file name and folder on your computer HDD. Use the Browse... button next to the Output File Name field. The Select output file window will be opened to let you choose the target file name and location.

The output file will be saved with the selected name and the .flv file extension, as it will be converted to flash video format.

After you select the source and the target files names, you can select the video conversion profile, edit the selected profile, if necessary, add a player and create an HTML-page for your video, crop the video image and add an image as a watermark.

When all preparations are done, click the Start Conversion button to begin the video to flash conversion process. Once the conversion process is over, the program will let you open the output file folder or, in case you selected to create a player and an HTML-page code, open the resulting page in your default web-browser.


Selecting a Part of Video for Conversation

You do not necessarily need to convert the whole video if you need only part of it. Moreover, it is better to try and see the result of so to speak “test conversion”: when you choose a small part of a movie and convert it into the selected format. After that if you are satisfied with the output and made sure you can playback it on the chosen device you can convert the whole movie with the same settings or change the settings if you see something wrong. Partial conversion is also useful when you want to cut the scenes from the movie or select only a part of a movie, for instance a music video clip.

Use the mouse cursor on the slider to select a part of the video to be converted. Select the beginning of the video with the mouse cursor (it will turn into a double sided arrow), click it and, without releasing, drag to the place where you want the episode of your video to begin. The same way the episode end is selected:

You will see the hint, showing the selection beginning and end time and the selection range. You can use it to adjust the settings.

After you select the necessary range, click the Start Conversion button to begin the conversion process.


Profile Editor

Use the Format Profile option of Soft4Boost Video to Flash to change your output flash video parameters. You can select one of the profiles for your output video from the drop-down list or use the [Edit Profile...] option to change the existing profiles and save them for the future use.

When you click the [Edit Profile...] option the following window will be opened:

You can save the changed settings as a new preset to be able to use them afterwards. To do that click the Save as Profile... button. In the opened window enter a name for your new profile and click the OK button. If you decide not to save the profile, use the Cancel button.

To remove an unnecessary profile from the profiles list, select it in the list and click the Delete button.

When you finish the work with the Profile Editor, click the OK button to accept changes and close the Profile Editor window, or Cancel to discard the changes and return to the Soft4Boost Video to Flash main window.


Selecting a Player and Building an HTML-page

When you create a video for an HTML-page, it can be quite a useful idea to create a player for your SWF video and embed it into the page code. Soft4Boost Video to Flash can do that for you.

First you should select video to convert and the output video file name and folder. See the Converting Video to Flash section for more detail on that.

After that check the Create SWF Player and HTML page for web sharing option in Additional Parameters part of Soft4Boost Video to Flash:

See the Advanced Settings section for more detail on different file settings.

After that you can select one of the SWF player preset skins from the drop-down list. A video player with its own controls will be added to your created SWF video. You can select the options to Loop the video playback so that it will start again automatically when it reaches its end, and Autostart the video so that the video started the playback automatically when it is loaded into the page.

An HTML-page with the code quoted below will be written and put into the destination folder together with the output video.

When you are ready, click the Start Conversion button to begin the conversion process.

You can open the HTML-page later using your favorite HTML-editor, change it to your liking and copy and include it to your own web page. Do not forget to put all the files from the output video file folder to the place where your web page is situated on your web server so that it worked correctly.

Note: you will need to copy the code from the created HTML-page into the page of your own the following way:

- include the code between the <style type="text/css"> and </style> tags into your CSS file or style-code on the page (if you already have the style for the body section defined on your own page you will need to omit the first line - body { background-color: #FFFFFF; font: .8em/1.3em verdana, arial, helvetica, sans-serif } and use your own style for the page body instead);

- include the <script type="text/javascript" src="swfobject.js"></script> code into your page <head> section;

- include the code between the <body> and </body> tags into the place on your page where the player should be placed.

You can also change the following code lines:

- #flashcontent { border: solid 1px #000; width: 356px; height: 321px; float: left } - the style used for your flash player. It consists of the following changeable parameters:

o border: solid 1px #000 - the border used for the player window.

a. The solid parameter defines the border style (can also be dashed, dotted, double, groove, hidden, inset, none, outset, ridge). If you select the none value, the border will not be displayed.
b. 1px - the width of the border used in pixels. You can enter any value you need.
c. #000 - the color of the border used in hexadecimal format. #000 or #000000 corresponds to the black color, #ffffff - to the white. You can use any combination of six digits ranging from 0 to 9 and letters from a to f to form a color, just do not forget to put the hash # symbol in front of them.
  1. width: 356px - the width of the player window in pixels (the width of the place on your web page allocated for the player). Is selected automatically depending on the preset used while converting the video file or on the set width of the output flash video file, if the selected profile has been edited.
  2. height: 321px - the height of the player window in pixels (the height of the place on your web page allocated for the player). Is selected automatically depending on the preset used while converting the video file or on the set height of the output flash video file, if the selected profile has been edited.
  3. float: left - the position of the player on your created page. The possible values also include float:right (place flash player to the right part of your page) and float:none (will place your video to the default place on your home page, which is defined by your page style settings).

- var so = new SWFObject('player_v4.swf', 'player', '356', '321', '7', "#000000");

  1. 'player_v4.swf' - the name and the path of the player file used for flash video playback. It is usually placed to the same directory as the created HTML-page. If you change its location make sure to reflect these changes here writing the new player file path.
  2. 'player' - the id given to the player by the program. Normally you should not change it.
  3. '356' - the width of the area allocated for the flash player in pixels. Is selected automatically depending on the preset used while converting the video file or on the set width of the output flash video file, if the selected profile has been edited.
  4. '321' - the height of the area allocated for the flash player in pixels. Is selected automatically depending on the preset used while converting the video file or on the set height of the output flash video file, if the selected profile has been edited.
  5. '7' - the number of the flash player version that must be used to playback the flash video. In case this value is higher than the version of the Adobe flash player installed on the user's computer, the message that is placed between <div id="flashcontent"><strong> and </strong></div> will be displayed (in our case it will be You need to upgrade your Flash Player.) instead of flash video player.
  6. "#000000" - the background color of your Flash movie in hexadecimal format. #000000 corresponds to the black color, #ffffff - to the white. You can use any combination of six digits ranging from 0 to 9 and letters from a to f to form a color, just do not forget to put the hash # symbol in front of them.

- so.addVariable("wmode", "window"); - sets the window mode property of the Flash movie for transparency, layering, and positioning in the browser. Can acquire the following possible values: window (movie plays in its own rectangular window on a web page), opaque (the movie hides everything on the page behind it), transparent (the background of the HTML page shows through all transparent portions of the movie, this may slow animation performance).

- so.addVariable("scale", "noscale"); - defines the movie behavior as related to the player window size and aspect. Can take the following values: default (show all) (makes the entire movie visible in the specified area without distortion, while maintaining the original aspect ratio of the movie; borders may appear on two sides of the movie), noorder (scales the movie to fill the specified area, without distortion but possibly with some cropping, while maintaining the original aspect ratio of the movie), exactfit (makes the entire movie visible in the specified area without trying to preserve the original aspect ratio; in this case distortion may occur).

- so.addVariable("file", "2_NEW.flv"); - the converted flash video file and its path. It is usually placed to the same directory as the created HTML-page. If you change its location make sure to reflect these changes here writing the new flash video file path.

- so.addVariable("height", "321"); - the height of the flash player itself in pixels. Is selected automatically depending on the preset used while converting the video file or on the set height of the output flash video file, if the selected profile has been edited. If you change this value, you will need to change the width value - so.addVariable("width", "356"); as well, as the player size is changed proportionally.

- so.addVariable("width", "356"); - the width of the flash player itself in pixels. Is selected automatically depending on the preset used while converting the video file or on the set width of the output flash video file, if the selected profile has been edited. If you change this value, you will need to change the height value - so.addVariable("height", "321"); as well, as the player size is changed proportionally.

- so.addVariable("theme", "Glass.swf"); - the name and the path of the flash player skin selected before conversion. It is usually placed to the same directory as the created HTML-page. If you change its location make sure to reflect these changes here writing the new player skin file path.

- so.addVariable("repeat", "0"); - the movie repeat parameter selected before the conversion. It can be set to 0 that will mean the playback will not be looped and the video stop after the playback is over, or 1 meaning the playback is looped and the video will play over and over again from the beginning when it reaches its end.

- so.addVariable("autostart", "0"); - the movie automatic startup parameter selected before the conversion. It can be set to 0 that will mean the playback will not start automatically once the page with the video is loaded to the browser, or 1 meaning autostart.

- so.addVariable("image", ""); - the name and path of the image that will be displayed when the page is loaded, provided that the autostart value is set to 0 (i.e. no autostart is enabled). You can select an image file in .jpg format with correct size (height and width equal to the ones of the player/place allocated to the player), just do not forget to enter a correct path to it. You need to insert the image name and path between the second quotation marks, e.g. so.addVariable("image", "../images/MyImage.jpg");.

- so.addVariable("volume", "50"); - the volume that will be used to playback your movie.

- so.addVariable("top_caption", ""); - the top caption that will be displayed when you roll your mouse cursor over the player window. If you leave this field empty, the default caption will be displayed. If you decide to change it you will need to insert the necessary caption between the second quotation marks, e.g. so.addVariable("top_caption", "my top caption");.

- so.addVariable("bottom_caption", ""); - the bottom caption that will be displayed when you roll your mouse cursor over the player window. If you leave this field empty, the default caption will be displayed. If you decide to change it you will need to insert the necessary caption between the second quotation marks, e.g. so.addVariable("bottom_caption", "my bottom caption");.


Crop Video

When you convert your video you can cut out the unnecessary parts of the video image. These can be the mattes or simply some of the areas of the image you do not need.

You can crop your video using the Crop source video option of the program Additional parameters. First you should select video to convert and the output video file name and folder. See the Converting Video to Flash section for more detail on that. After that enable the Crop source video option clicking it.

Use the rectangles to resize the video image size. Click one of the rectangles with the mouse and, without releasing it, drag it to change the video image size. The same way the other video image dimensions are changed. Only the part of the video inside the clippers area will be left in the output video.

When you are ready, click the Start Conversion button to begin the conversion process.


Adding Image as Watermark

Soft4boost Video to Flash lets you use an image of most popular formats as a watermark for your created SWF video.

This can be done using the Add image as watermark option of the program additional parameters. First you should select video to convert and the output video file name and folder. See the Converting Video to Flash section for more detail on that. After that enable the Add image as watermark option clicking it and select an image using the Browse for Image button.

Select the necessary image file and click the Open button.

Now you can use the Image Layout button to change the image watermark position in your output video.

When you click it, you will be offered nine different image layout types - Top Left Corner position, Top Center position, Top Right Corner position, Center Left position, Center position, Center Right position, Bottom Left Corner position, Bottom Center position, and Bottom Right Corner position. Select one of them, the image will be placed on top of your video to the position selected.

When you are ready, click the Start Conversion button to begin the conversion process.